Subject: Re: [Gen-art] Gen-ART review of draft-ietf-geopriv-res-gw-lis-discovery-05

From: Martin Thomson <[email-masked]>
Date: Thu, 5 Sep 2013 14:56:40 -0700

Thanks Peter.

I fixed all the nits:
https://github.com/martinthomson/drafts/commit/0e7cc6089e96f6b4b2a2cff0d094733b313b8e39

On 31 July 2013 13:50, Peter Yee <[email-masked]> wrote:
> Page 9, section 4.2, 2nd paragraph, 1st sentence: I'll admit my ignorance
> of the finer points of the DNS and inquire what this sentence is supposed
> to mean.  To what are the additional domain names added and how does this
> allow a DNS record to cover a larger set of addresses?  Perhaps it's just
> the wording or my lack of knowledge, but I didn't follow this point fully.

This relates to the label shortening.  In the reverse tree, an IP
address is represented as a series of labels in reverse order.  Fewer
labels means that the resulting name covers a specific prefix (each
label is 8 bits for v4, 4 bits for v6).  I've added an example to this
section that I hope helps demonstrate this.
https://github.com/martinthomson/drafts/commit/29a4c98deaa1c9f9be66633e7bdfc7fd971318e9

> Page 14, 6th paragraph, last sentence: Are there any concrete
> suggestions on who a device might determine accuracy?

An independent, trusted source of location information could aid in
verification, even in the trusted source is unable to provide
information with the same accuracy as the discovered LIS.